## Issues

Always provide the following information when submitting an issue:
- Output of `bspwm -v`.
- Content of `bspwmrc`.
- Steps to reproduce the problem.

## Pull Requests

### Requirements

You must be comfortable with [C][1], [XCB][2] and [Git][3].

### Coding Style

I follow the [Linux Coding Style][4] with the following variations:
- [Indent with tabs, align with spaces][5].
- Always use braces when using control structures.

An [EditorConfig][6] is included for convinience.

[1]: https://www.bell-labs.com/usr/dmr/www/cbook/
[2]: https://xcb.freedesktop.org/tutorial/
[3]: http://git-scm.com/documentation
[4]: https://www.kernel.org/doc/Documentation/process/coding-style.rst
[5]: http://lea.verou.me/2012/01/why-tabs-are-clearly-superior/
[6]: https://editorconfig.org

## Donations

[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=RHTYMMB9SHP68)
